summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-18 08:39:31 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-18 08:39:31 +0000
commit0b60139c1e4fda41e973c047011110a9c0ade8bc (patch)
treeb9184d1304bb95a6e261267d79fd4ebb54810b2f /dev-python
parent62e483dc1fc2d4079d081806786a6f4f1245bc4e (diff)
downloadbaldeagleos-repo-0b60139c1e4fda41e973c047011110a9c0ade8bc.tar.gz
baldeagleos-repo-0b60139c1e4fda41e973c047011110a9c0ade8bc.tar.xz
baldeagleos-repo-0b60139c1e4fda41e973c047011110a9c0ade8bc.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-16.6.0.ebuild34
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.26.51.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.51.ebuild74
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.72.9.ebuild54
-rw-r--r--dev-python/dulwich/Manifest1
-rw-r--r--dev-python/dulwich/dulwich-0.21.1.ebuild55
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.73.0.ebuild52
-rw-r--r--dev-python/license-expression/Manifest1
-rw-r--r--dev-python/license-expression/license-expression-30.1.0.ebuild34
-rw-r--r--dev-python/markupsafe/Manifest1
-rw-r--r--dev-python/markupsafe/markupsafe-2.1.2.ebuild27
-rw-r--r--dev-python/mkdocs_pymdownx_material_extras/Manifest1
-rw-r--r--dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-2.4.ebuild24
-rw-r--r--dev-python/pydocstyle/Manifest1
-rw-r--r--dev-python/pydocstyle/pydocstyle-6.3.0.ebuild48
-rw-r--r--dev-python/pyghmi/Manifest1
-rw-r--r--dev-python/pyghmi/pyghmi-1.5.57.ebuild39
-rw-r--r--dev-python/pyproject-api/Manifest4
-rw-r--r--dev-python/pyproject-api/pyproject-api-1.1.2.ebuild41
-rw-r--r--dev-python/pyproject-api/pyproject-api-1.3.0.ebuild42
-rw-r--r--dev-python/pyproject-api/pyproject-api-1.5.0.ebuild (renamed from dev-python/pyproject-api/pyproject-api-1.2.1.ebuild)2
-rw-r--r--dev-python/python-redmine/Manifest1
-rw-r--r--dev-python/python-redmine/python-redmine-2.4.0.ebuild30
-rw-r--r--dev-python/reedsolomon/Manifest1
-rw-r--r--dev-python/reedsolomon/reedsolomon-1.7.0.ebuild38
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest1
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.21.3.ebuild44
-rw-r--r--dev-python/spyder-kernels/Manifest1
-rw-r--r--dev-python/spyder-kernels/spyder-kernels-2.4.2.ebuild68
-rw-r--r--dev-python/tox/Manifest1
-rw-r--r--dev-python/tox/tox-4.3.4.ebuild86
36 files changed, 793 insertions, 87 deletions
diff --git a/dev-python/Faker/Faker-16.6.0.ebuild b/dev-python/Faker/Faker-16.6.0.ebuild
new file mode 100644
index 000000000000..6867dea81f9c
--- /dev/null
+++ b/dev-python/Faker/Faker-16.6.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 32f41bcc435c..d166e15eaf2a 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -2,3 +2,4 @@ DIST Faker-15.3.4.tar.gz 1599191 BLAKE2B 8fc26d35cbcde467123c8a5e15813351e65cf81
DIST Faker-16.1.0.tar.gz 1599748 BLAKE2B 62c55659b84e556ad2960b0b3c3e49fc96beca86850469af152c833f5b8680e222ef8bde7dbeacb75ac13535ed9ec0774f5c524d58f10d92c78542ec4714ff1f SHA512 7da4ca3824b64fa1b36d5a3f58206e03f61ca984a672e59e68e8ab642da6bb08d7656dc2422a7107ee46ca2d5a0ec5bc7ed4301c296a07f2dfc39c2cfb6ff693
DIST Faker-16.3.0.tar.gz 1624029 BLAKE2B c17eafa1ba85d3839545ec57811541edf9006c822ffeb15a19560f0d72e188d5ce09bced5d5bde12ab690867a9e6d35dc472cb7df50437c6da422f5f62ba40cf SHA512 2f4fc0a984ae22a8765831499d895b787fea095e9d4eeb54b3cad1e8ae7b0e583d221fb3aa8d3d4e9c07d25734d08b8cac7a53c7b500dd8dab18eaceacdff562
DIST Faker-16.4.0.tar.gz 1624299 BLAKE2B 3f3fd6f1ca60c4c481817bcb6f822f2658430995739db4655070e6cd5498879aeb3634defc324adf12648ab056c2066b82f83cac6c81b2fe4157a924fcae1460 SHA512 07aec45c401e8992a71ca3b6402a51f15070b5a6dfb534813a843660f8d419aadb68a5ace9667beb1b317f5a5232ad7d94086e053cd6455d0a8d3df0c6d96a9e
+DIST Faker-16.6.0.tar.gz 1625783 BLAKE2B d5a1cd6d8a7161eabf9a36bade94ae0003c5bd4cef48c33b19f6e7a30289267962ec9820cdae85316cb53b16b1a3734d751160db1aa5803ee60c746baa1828c1 SHA512 32f4d8c19ff09c4e415936f458a1ab821be74c4e0e8a79e01d584a8f46ad641b7d873f3a5c2bb3990ffaedb16d0b84eb8a7c610dc6e17b00619045a2c70ed433
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 2a908bbb6002..ffc6de51090a 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.26.47.gh.tar.gz 588689 BLAKE2B 31a2bfebcac762422e1aee78f05c5a19d3e8
DIST boto3-1.26.48.gh.tar.gz 588770 BLAKE2B 1176ed430821157266e54f198774b2b2718549373f8c1fa72d898f5644a8ff3bdb428f2baeac862566b5f7fad334c6f99fe2f62f63575635bbd9a540bfef9fdb SHA512 64f40e8305c7462c28c33afc5197b71c77e4298e94161389b422df9783a6fd6f828aafa14927b035d15bfa5753253c37c17f716389d5673c5ca78a310312b460
DIST boto3-1.26.49.gh.tar.gz 589315 BLAKE2B 31840e499766f0d9aeed149ebd89cd4daf340aabfe06034d27c2e8e97768ae0a8ed9d55dc94dcbbf304b7fd4da52c2afc0c76bb86bfbb1832560560a52d84ff7 SHA512 028b38ffac965355f3bb0675bc3c1bd0dc6ef67e6bf31e6d174377be58071c3c9732eb83d2cbfe76cff96c6d1d0eb872a8f1b198d1064d5f080b543ca7496574
DIST boto3-1.26.50.gh.tar.gz 589841 BLAKE2B 98808cc2811f6371152b75424abe7da24230beb9caa4fcb62c273c232998fa1bbd4195d47e173c181f6b77cd95c6d90e21dc6126d65a0ce5453244cc03a5a12f SHA512 d4a8fd68c7fa099009e491f697ce3089a7f9d54433d25aa76d2733facde82f62f3955efc8ea5156dabce9502a2912847d45f7e1ab5dc71c1db26ca5d2b4ae220
+DIST boto3-1.26.51.gh.tar.gz 590304 BLAKE2B 351f5f414d4519203cda435834b52db827016f53b9594658e5bd7dcaca1090c58b50c49f276b3c1e1fd8aed248428a0e5ccf306db8353c1bbf9caef5e0e0f375 SHA512 77a55c994f7e6e617022bc52b5f20b72e30e273e7dfc5061336739b05ae436f5ab57015237749e087f5c7847fb107fd0ae7f73467dbd8a1b710e8dcf5e128a76
diff --git a/dev-python/boto3/boto3-1.26.51.ebuild b/dev-python/boto3/boto3-1.26.51.ebuild
new file mode 100644
index 000000000000..9523f65d5fb9
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.51.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 10cd930e78ef..8c84c5cf4161 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,3 +6,4 @@ DIST botocore-1.29.47.gh.tar.gz 11097124 BLAKE2B 3ec2fbc1e518854c6e423d8528a52b2
DIST botocore-1.29.48.gh.tar.gz 11097130 BLAKE2B 45a6a45e67d7ef0eeb42f79324b5fd806ba29e7be4a4c4fa2c128323f303834ffd0c006358c5a8b194b23bcae034149690cd01c481d9228c0ea897e07f347dea SHA512 5c7a711b20a69e9634b9ee17efc83eede2d9b0eef95a157aa0f6b2eb55edff8c87a3f377aaadcc45afe1fc152baefef862309bc973cae51c9c9bb4aeb9d83427
DIST botocore-1.29.49.gh.tar.gz 11115714 BLAKE2B a1273a6d97de6c14938883aa107f81d2a0c3908f37d6c1921dc5dcdc88d06e0182c1019385f5ecf07ee65d8e14da86a31c6c1f2b0eeb744f6c07c9bccb48efa1 SHA512 c43470903416ad8503d00615b55e39de1b39fa57746e8368b4ec8945e5a0d3c24da72c76aa3a39a5b0a43352424b39a7edbc745d681cf5d34b15e57347a10811
DIST botocore-1.29.50.gh.tar.gz 11116392 BLAKE2B a9d12740ea927b6331b8593b9d7ae2af51feb4df740f8e9e260372d601791aebd699f569d6a3d6041f9c8ecb852a2493f872148aca5120a01c5773148e42a960 SHA512 3661a3b3a5bba8be0d14d24ec85d50fea0d2001721871be84c13396a8f7244797e24b6b1de46e8b9d903c76312f939b122c206ec4f8dcac0b76e8d77b59198cf
+DIST botocore-1.29.51.gh.tar.gz 11118145 BLAKE2B 6dc873c4a156c4ff920b5896b5f5550286aeedf7c99ff54b52a9fa30dfe089e141072eb9e55777a4c8a89ca77f9c9fcce27c0312f8ea256a08860f18fb0c6f91 SHA512 77f940a70a6421a21f5a6b75932be18ff76e8283d922f94d9dcd308592708b597c998004ec34be05defaa57da1a73c4d866c87baf1861415b75124918fc8caa2
diff --git a/dev-python/botocore/botocore-1.29.51.ebuild b/dev-python/botocore/botocore-1.29.51.ebuild
new file mode 100644
index 000000000000..0f4daaa48e81
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.51.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 55b9d105a2b6..6eff7541a046 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -4,3 +4,4 @@ DIST cfn-lint-0.72.5.gh.tar.gz 3220306 BLAKE2B 381b069e4d35d9af8fa7bab9765f3b249
DIST cfn-lint-0.72.6.gh.tar.gz 3240330 BLAKE2B f7673efbf6ce88e618e6fb1ff6e21cbb66cef2a1d9922ed90eb3556eff4f38827fce4efa799913168d60dc91929478a82644b7dcee25515172bb86ff74e33f0f SHA512 1db7bd50762c646be2f4bf3e74af8039cd593ccd9c10e68f43d3bc2e435ceb0dbbb70ac5a7cfd8408b7bc0eca2033d78d1fe3f65d0af89917684f7d44c52420b
DIST cfn-lint-0.72.7.gh.tar.gz 3237460 BLAKE2B 9300703c15dea1cfa804663ad5804cc8d8103cac5c5b19cbda2ed8d2ab721037bd55295bf2e9edbc4d73e19add5de1104fb4c34bd02bf3d6529425666fde6489 SHA512 326bee0c9fa22b76f051109fc1cfa4dee6fa4472a9b598d2f3117c345a07c89c46024d5ada4abd77ff356ac697d034389e1dd131d2ee9e5a270c897b054bb474
DIST cfn-lint-0.72.8.gh.tar.gz 3239410 BLAKE2B 3f9af91e9effa863fd780f3be78575e66fb9ce547f14e1ed62a380d1bd470181043a2a6c585aff6673cf24f583dc2b7b48bf262ab68e38b3808fd1a7d2a33d04 SHA512 a2242139c96899c13b753a14ab91dcf96c89e890b86534b08aca2ee221006bd9951dc1fc4c76439c19dfd17fafabce8e8910f0b6ad20b064e0feec2792905faa
+DIST cfn-lint-0.72.9.gh.tar.gz 3239001 BLAKE2B 935d07e58d12a7b95bb589523a9ef49c9f508386d58384e7b391442ef02e304e583d687fce0f8faf892049525d6e621670061ab96a124229de7fc94df3e3533e SHA512 bf83e4146d4f2951e670c07a3a0bb3ab212881af9687c16244cade18bac101468c35532516731f66a80708312a9ee33bc531be9a6b7fab671bf54d596886a523
diff --git a/dev-python/cfn-lint/cfn-lint-0.72.9.ebuild b/dev-python/cfn-lint/cfn-lint-0.72.9.ebuild
new file mode 100644
index 000000000000..eeb94f75e137
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.72.9.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.56.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/dulwich/Manifest b/dev-python/dulwich/Manifest
index 54b34f9cdab3..a00c0a047fd6 100644
--- a/dev-python/dulwich/Manifest
+++ b/dev-python/dulwich/Manifest
@@ -1,3 +1,4 @@
DIST dulwich-0.20.46.tar.gz 426530 BLAKE2B 702564597a0367f454a396e4917d4fcd8b963d1847ddef688dccc7d7501f0073ae9a0ab422f31b8b0648210dafa953744ccf496b41fc75c7bea5090d75bf142c SHA512 4cc86afe90139d813d11ac2a8b96e84ca60ea28baab83a2af8da9a7cef2f3cdac647af858f5fc3806ae741a0b4fcf592d94f228adf8ab7b5b600be41f6acc356
DIST dulwich-0.20.50.tar.gz 430389 BLAKE2B 1ea86fe00fa560311bdcff8c51904982a506fa670efb503f9103c5fb25036a792a87583fdf6435a6a6ec7bd6aaa2277c621359e1d99f55450c247fdc4be74e51 SHA512 506cc76f7deb8247b910fa4971e28eeda6ddd34703ac3c7a2f3b6525e6a9229bbec527b1965bebf7aa3da17b5adbd146916f247acacf9caf86d2494e60cc8626
DIST dulwich-0.21.0.tar.gz 436570 BLAKE2B d63185fe6e900823f5b295454a41be4f8508aa4c1757599186a0daab6f9b44e0036485d16d9f3dd34e3d1d191987cb0191254cee844caadadf9e43d0a2de0645 SHA512 ff437cb8381d91183d2843397afed5c1b04db000a093d61b6cdb1d76821104260e9d8572a05cf10c8959b88b99ec8fbcd3ff3a3ae2f860ab6201773de32635b5
+DIST dulwich-0.21.1.tar.gz 436958 BLAKE2B b821eb8a195496066017c0f9c9076ed25e1bfb894cead5175143a8944a16b8a82ca54d9a65d1aea23d7a039ce63343c608e2694f756b65b49e345d0ff49293f4 SHA512 bef3725b6101d0b8f115df432ca41a5f7b05fc5d84aa87f99f5815c670775ab74264a88768fbbe41bb89ff4cc6618b5a8a01ad2dae33f121ead424b5ed977f82
diff --git a/dev-python/dulwich/dulwich-0.21.1.ebuild b/dev-python/dulwich/dulwich-0.21.1.ebuild
new file mode 100644
index 000000000000..92fa21794e03
--- /dev/null
+++ b/dev-python/dulwich/dulwich-0.21.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python implementation of the Git file formats and protocols"
+HOMEPAGE="
+ https://github.com/jelmer/dulwich/
+ https://pypi.org/project/dulwich/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+ Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ app-crypt/gpgme[python,${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/fastimport[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+
+python_test() {
+ # remove interference from the tests that do stuff like user.name
+ unset GIT_AUTHOR_NAME GIT_AUTHOR_EMAIL GIT_AUTHOR_DATE \
+ GIT_COMMITTER_NAME GIT_COMMITTER_EMAIL GIT_COMMITTER_DATE EMAIL
+ # Do not use make check which rebuilds the extension and uses -Werror,
+ # causing unexpected failures.
+ "${EPYTHON}" -m unittest -v dulwich.tests.test_suite ||
+ die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 1aa55b8d4085..11d51b9e0da2 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,2 +1,3 @@
DIST google-api-python-client-2.71.0.gh.tar.gz 37887241 BLAKE2B 5b0e8f39a4935f6e64e1846b7457e2fef62f91d8b62debd277dd49fe28242ffa6d1f8bf8962b56860448aa0edd8fe23d102062809995b212b775c760d20b403c SHA512 a13e31226991a77f900e87f72232d6722dc34d3b7a0134fed3039a5439d207ee26a3f9caa8b4cc5319acc864e11f07e080c0cea25ff29ab1a775b49278582c83
DIST google-api-python-client-2.72.0.gh.tar.gz 37897701 BLAKE2B fff35a2103f7d3a58e790cb6b385a881c572c2272bc078531912f69d26ac16433513d97ac724f70e47b250dbaac95a78e1df04c2ea7a030325f6ead9de42646d SHA512 1bb625fc6d9aeacebf0b03a77709367d9b29e33f171b5c708a90141e697d29fcf8689d3d6a71f21a50e976feaef5fc2aec9451525a2aa00867639fdfc401c262
+DIST google-api-python-client-2.73.0.gh.tar.gz 37984359 BLAKE2B e82fe357010c06601a58cac4e0e2c72c8f1d9e7ae5663248b5fa5ab4d0d3cbebc597fcce560cd157e363fd1edf9a1fed76570a43f5cf64ef45a7fb84902a5918 SHA512 6af39b7ce526d91de2c7d01c660ca951a6775453478ea8fe50e3a8def30114fdb90fa5b7490fb9b02c1ba4d38bde55e4b4c05ad61ba3713f9c7341cdfdbaf619
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.73.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.73.0.ebuild
new file mode 100644
index 000000000000..e603f5560fbc
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.73.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+SRC_URI="
+ https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/license-expression/Manifest b/dev-python/license-expression/Manifest
index 0cb835a32350..1153ca5b456a 100644
--- a/dev-python/license-expression/Manifest
+++ b/dev-python/license-expression/Manifest
@@ -1 +1,2 @@
DIST license-expression-30.0.0.gh.tar.gz 153630 BLAKE2B 4231bf14e69705fbf40cc4af5f17a1070c780d595db5ab0098b318eeb7289740b86319c683e61aaf844a1cc5b8598d832f14e4eeac354aff37f7b82e5437df1d SHA512 ce6e3a48c1e035e98c3831180bdafb1d70afe94b1d0148c47941129a8223b8b39e11af9407b255ed7a3d1247873c18848f8236c0a805e9b2333c6d59506aad12
+DIST license-expression-30.1.0.gh.tar.gz 162641 BLAKE2B 912a34bd86199f41248b2893e9e25dfcf1504231e49f6d94607ce30c07c95932a8c41814c5d2100beabfe7fe2deda499a62ea310243dce559d0a5c5ecb84f77c SHA512 eb152b53bfacddbccdc8bd4366e040c24c0e9be3561f1a602344ad756307e29350a739de5ab5f5448258db88dac745638242d971e1a2030fc4b43b88ab4015d0
diff --git a/dev-python/license-expression/license-expression-30.1.0.ebuild b/dev-python/license-expression/license-expression-30.1.0.ebuild
new file mode 100644
index 000000000000..8b69551a2674
--- /dev/null
+++ b/dev-python/license-expression/license-expression-30.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Parse, compare, simplify and normalize license expressions"
+HOMEPAGE="
+ https://pypi.org/project/license-expression/
+ https://github.com/nexB/license-expression/
+"
+SRC_URI="
+ https://github.com/nexB/license-expression/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/boolean-py-4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools_scm-4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/markupsafe/Manifest b/dev-python/markupsafe/Manifest
index 4d362dbc1aa0..a73919e84d37 100644
--- a/dev-python/markupsafe/Manifest
+++ b/dev-python/markupsafe/Manifest
@@ -1,2 +1,3 @@
DIST MarkupSafe-1.1.1.tar.gz 19151 BLAKE2B 184ab0bc42f8d254ef4239f700f019c0a380bdf2117dfe1abe2eb4dfa0f037158d181a120d8654a6971e9c8badb078f997e3a8bf231898e0f4bb3e8496d9abd3 SHA512 f3014e6131a3ab866914c5635b5397ef71906bffb1b6f8c5f2ed2acf167429ff7914236d38943e872683a57a9be9669f4c5aace6274f3307ab21ef25373db0b6
DIST MarkupSafe-2.1.1.tar.gz 18668 BLAKE2B c15bddc89bec9a6558b797b825314d9db3ac03978c44aed42d98ab534613e5bffa2eb0ffe500ff675e78491e3f6039981c468711bdf398ff56277b2bd93932c4 SHA512 1d9bf55614b4e0aeca726ebda7bab2829452212f03f2295efdd0340f3dd05eefc9733d6dd0e37f0d06a432ce00ed7d06b28c9e817fc25212675006577f468b3e
+DIST MarkupSafe-2.1.2.tar.gz 19080 BLAKE2B 560cc052c105c3d9f2690c3e5a2a597dd36848080e3c7d6f8273dcd03bdb613ed54cfe6e53b9ec8053deb38d0d055123da7204a671c1fff3295596d44a63b317 SHA512 84dbeddaf2df713b3cce94eb64876fea8f80c608e25130c18e4691be2b1dea56df8b772d26c0caca88231ef795125eb9678210c33bf20518c18e3047912ddb4b
diff --git a/dev-python/markupsafe/markupsafe-2.1.2.ebuild b/dev-python/markupsafe/markupsafe-2.1.2.ebuild
new file mode 100644
index 000000000000..24adc17885db
--- /dev/null
+++ b/dev-python/markupsafe/markupsafe-2.1.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="MarkupSafe"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Implements a XML/HTML/XHTML Markup safe string for Python"
+HOMEPAGE="
+ https://palletsprojects.com/p/markupsafe/
+ https://github.com/pallets/markupsafe/
+ https://pypi.org/project/MarkupSafe/
+"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris"
+
+distutils_enable_tests pytest
diff --git a/dev-python/mkdocs_pymdownx_material_extras/Manifest b/dev-python/mkdocs_pymdownx_material_extras/Manifest
index a1257a6a3d90..728a97d2c413 100644
--- a/dev-python/mkdocs_pymdownx_material_extras/Manifest
+++ b/dev-python/mkdocs_pymdownx_material_extras/Manifest
@@ -1 +1,2 @@
DIST mkdocs_pymdownx_material_extras-2.3.1.tar.gz 24640 BLAKE2B a6637991494a0042bdc65a65822b84066efa774890d13079c87667fdfeadafa439a92bddeebad1234be8d10d60a1e4bcb76c2ff693e305c6ae37e846958eb810 SHA512 bfc213de818d0a82786de2c55d35d90fa80f107efdff2aa12ef5a96ec77d2bfb7d1e0e9115e930a29440cfba49fbe3a3a429dba2fb5c993878268d8a85b6ceba
+DIST mkdocs_pymdownx_material_extras-2.4.tar.gz 24171 BLAKE2B 8258e6c9566a24a614c222fb2f8e76305bd92ccd0ffbbd4b21e945a125a553ee8664d408d46a5081893e0bb8b72c5403ed2aefcdd11807301765b052e0ed29ca SHA512 002149765a30ce826b3df19c9ed659c45ee39ef0df4dfdff6ae1fdda8c88e69d6015fc3db41ee0d15229b35eefd2644dd8015a22e50db98ee45c520f95f0b04e
diff --git a/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-2.4.ebuild b/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-2.4.ebuild
new file mode 100644
index 000000000000..90f8078cdfdc
--- /dev/null
+++ b/dev-python/mkdocs_pymdownx_material_extras/mkdocs_pymdownx_material_extras-2.4.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Custom alterations based on Mkdocs-Material"
+HOMEPAGE="
+ https://github.com/facelessuser/mkdocs_pymdownx_material_extras/
+ https://pypi.org/project/mkdocs-pymdownx-material-extras/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/mkdocs-material-8.3.3[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/pydocstyle/Manifest b/dev-python/pydocstyle/Manifest
index da038fd8c350..c27423b73e42 100644
--- a/dev-python/pydocstyle/Manifest
+++ b/dev-python/pydocstyle/Manifest
@@ -2,3 +2,4 @@ DIST pydocstyle-6.1.1.tar.gz 73982 BLAKE2B 6a896221fdcd257f0475472e1cf87ef892d82
DIST pydocstyle-6.2.0.gh.tar.gz 77296 BLAKE2B 22f6d8691763b6c3e41bca7d0ef5193a282189f442072089aebb6d96d2e039e971e9e5645e50f4bcb8433f36cdf0e33c956c4ac381f2e7e649d010d63f5db501 SHA512 382c74d22072337a624ac635d95c9cf5fbbd373c11c85b6302c56bf21f099ebc4dd8eec2f896a8c02d4548524078daebbceef7c4fb055dfb6a6eadab0e42a190
DIST pydocstyle-6.2.2.gh.tar.gz 77412 BLAKE2B 5aa2eaa52e97d705fc6972db985ccb7927b856944250de8153ecdb3285bd0ec75305186a7d2e6904ccead9b4299637af83496456e2af9769fcf62fa0fae041cf SHA512 2097ec9d3429c83de821630384e717074abc39dfdff928327e8ccf4a1ba91592926ac55784403b559d88a8bb9a29557a2a406863c8603644de5d17972c63e4f5
DIST pydocstyle-6.2.3.gh.tar.gz 77612 BLAKE2B f94b9c8232a3e96dad1d84d37bf7cc53f114edfddbd0dad725ff3bb79f39576a5fceff5a2b962e284e9d0d96ac8d71e5aa0406322af4bf8fdc73910348ff9190 SHA512 b275bd2367a3a6d4636a2879f503da15b9965bffe2750db87cbd3ca09fc3353a481a9c38e1b35b3b2aeeba019e9dd393d2cb65db2820d6343fb4c9881f7e6deb
+DIST pydocstyle-6.3.0.gh.tar.gz 78058 BLAKE2B 551da9af8baebcba4f1053e0d9495bff039a98c96ad229219cd37ac8ba9e3002fff8a136c5148144a5f84ed94a1414364d7c827ad010038f63961ce17a260ee3 SHA512 f8473b19ab6ef0b61787875558f9dd6f9f7f1954e1baa0010942af6d4de8dbca30c8c08be6acbf24aadd1c0a601ba9467b747026a6cd22379f0c4b84a38b57c7
diff --git a/dev-python/pydocstyle/pydocstyle-6.3.0.ebuild b/dev-python/pydocstyle/pydocstyle-6.3.0.ebuild
new file mode 100644
index 000000000000..ce5955d3e61d
--- /dev/null
+++ b/dev-python/pydocstyle/pydocstyle-6.3.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python docstring style checker"
+HOMEPAGE="
+ https://github.com/PyCQA/pydocstyle/
+ https://pypi.org/project/pydocstyle/
+"
+SRC_URI="
+ https://github.com/PyCQA/pydocstyle/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/snowballstemmer-2.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{8..10})
+ )
+"
+
+distutils_enable_tests pytest
+# Requires network to lookup github issues
+#distutils_enable_sphinx docs dev-python/sphinx_rtd_theme dev-python/sphinxcontrib-issuetracker
+
+PATCHES=(
+ "${FILESDIR}"/pydocstyle-6.1.1-disarm-pip-install.patch
+)
+
+src_prepare() {
+ # poetry sucks
+ sed -i -e "s:0.0.0-dev:${PV}:" pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pyghmi/Manifest b/dev-python/pyghmi/Manifest
index 596de36f1c10..e16b53fd2b26 100644
--- a/dev-python/pyghmi/Manifest
+++ b/dev-python/pyghmi/Manifest
@@ -2,3 +2,4 @@ DIST pyghmi-1.5.53.tar.gz 245616 BLAKE2B f0dd3d84426c7d1b0e32ae6d666823f2c760b4b
DIST pyghmi-1.5.54.tar.gz 248634 BLAKE2B 82142cc00972db5e23c893c323d1012b701edeb9844e522b8c2adeeee5f9d96bfc6835a4461f14ae27b595cf4ccdf7c768a403194833f1c6311515c60c2fa9e9 SHA512 6182745a6560f207443042a6f7e56176aabffa32a98b2d20d808b80d8b61febd979281fc207871ec36b26a40c67e453f50e1fc9b2f1581c7a83a561a6e40a435
DIST pyghmi-1.5.55.tar.gz 248976 BLAKE2B ccf76960a694d46e7669d164599abc731360c88e118d9cd3b724eb195f014d8cca2a3c58592fee99d455899472169057dabf62e8d57809e74adf8652e146a3e3 SHA512 9b3b8bdf0714e8567041415336d0ce9ba12fee61e41879185577288c4598ef42e837004682882589b832db5e9244bddfb2c63585dd5a097a945238b0f524dcaf
DIST pyghmi-1.5.56.tar.gz 249087 BLAKE2B 60163c3274396018e10770ba519c4d455644b091ed6f03191a334a0b81f794c3eb4cd8a76a78ef0f4db61832a3ae936fc99fd9529cec292aebf39dbe9fbb85e9 SHA512 154c13a10f7a244cc60bc318dcb1e1718f112d0cf3fd4c4dcd9459756a1f13df95874bd6f337ae93c050e3c680759e25e556041348396b88205888ddc455d0a6
+DIST pyghmi-1.5.57.tar.gz 249816 BLAKE2B 358f5f5262c0bd59da668d590d36f4b84ef55fca78908a5fbfb6fead2cd652d704feaf73410906fcf969fab88928dd480ae1afa60e342663503630b57226a444 SHA512 d9fa87e2a715cb899c36f27e8c706d3330de488e0685e547bbed77c320ea824bed776276e936789e887b324e85899ae944a55d3549def3767d77ec789ddba42f
diff --git a/dev-python/pyghmi/pyghmi-1.5.57.ebuild b/dev-python/pyghmi/pyghmi-1.5.57.ebuild
new file mode 100644
index 000000000000..c32d7320b455
--- /dev/null
+++ b/dev-python/pyghmi/pyghmi-1.5.57.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure python implementation of IPMI protocol"
+HOMEPAGE="
+ https://opendev.org/x/pyghmi/
+ https://pypi.org/project/pyghmi/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.1[${PYTHON_USEDEP}]
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.5[${PYTHON_USEDEP}]
+ >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/pyproject-api/Manifest b/dev-python/pyproject-api/Manifest
index 73c10adea230..aa5ff7d2e6de 100644
--- a/dev-python/pyproject-api/Manifest
+++ b/dev-python/pyproject-api/Manifest
@@ -1,4 +1,2 @@
-DIST pyproject-api-1.1.2.gh.tar.gz 19058 BLAKE2B 3c8672821baad2ed440474c42818bd37fb7ed7f20f29d9c765190cc8ac6352ff18a17b35d97a73cf4f76001bdff92d2e0e8fd0f29f45d69a5bf7377b2ddc9626 SHA512 e4f2c97d49789fcf231af83758697e5b505c4a9afb6268349da215c3f5f94e3bf78b70beeea4ca51706b71313101dffc15942db394a7994b85e7c5f763e090d7
-DIST pyproject-api-1.2.1.gh.tar.gz 19579 BLAKE2B 4d973fd5d3a5625b3080411c447cc66ee1ec4d79f37a2a00ca9e4be1bbb642a18466a442aae510d4b8c0f078ee3bcfb64e77143f2cea0e557c4f16b0bf7fcefb SHA512 bc84a0aa1845cf910a980a2fb562553eb3e58f6b16f3516fccc46c9723dca8ac553c457160a1fcb39d4de984906a196dd9f625fcae1ee6295e30b3f9a2618c6d
-DIST pyproject-api-1.3.0.gh.tar.gz 20650 BLAKE2B 9efc0a4fb753c6246d056a9c4bb6a8d36a385bb952b5099b86eff9312b014db499337091716708a57a4fcab1ca55ed5d716898942b37a08420d5bb4681835d63 SHA512 916fc35538b5d28e343170c0c5b7a70e534f4c6095cf2dc4714988fdab51791d55389bea6c7b7645d1da9a0f863e75d7c0a33956c3b24b8682efeb4c016ba740
DIST pyproject-api-1.4.0.gh.tar.gz 21826 BLAKE2B 9399e6a7fbac2747d953b567ab3ed9812ee7de55d65b2daf0337b79e778b3d8133ebfbcc95ae70b353d2c60ec522e893850bbd1815b588dd994954e9cc5ca13c SHA512 196bc804321368ae19768d7dfb8f0fe697af230b33bde1d4b47b8fe9f52fddd4feb38aad9e88e28794f3c30d1c8583143b290b4aa968b30a4bd8e248464cc0d0
+DIST pyproject-api-1.5.0.gh.tar.gz 22032 BLAKE2B 7e90bacffee70d2a2343f2360f5d0e6794a04a8b8b9be672150e5ac49e1dfabb0673b4c661ddc27f3fffa7bb3d04644e2b1809555987fc0d914a798fac667c8c SHA512 7a68df007e52c685f512fca26d371d1790f2fb9ced381025fe27462088cd4f1488b7edf4de94f6c1df989c4430336789b94d0b3bd634a2f6ec52f14f292b4474
diff --git a/dev-python/pyproject-api/pyproject-api-1.1.2.ebuild b/dev-python/pyproject-api/pyproject-api-1.1.2.ebuild
deleted file mode 100644
index 3610aa8f5308..000000000000
--- a/dev-python/pyproject-api/pyproject-api-1.1.2.ebuild
+++ /dev/null
@@ -1,41 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="API to interact with the python pyproject.toml based projects"
-HOMEPAGE="
- https://github.com/tox-dev/pyproject-api/
- https://pypi.org/project/pyproject-api/
-"
-SRC_URI="
- https://github.com/tox-dev/pyproject-api/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
- ' 3.8 3.9 3.10)
-"
-BDEPEND="
- >=dev-python/hatch-vcs-0.2[${PYTHON_USEDEP}]
- test? (
- >=dev-python/pytest-mock-3.10[${PYTHON_USEDEP}]
- >=dev-python/wheel-0.37.1[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/pyproject-api/pyproject-api-1.3.0.ebuild b/dev-python/pyproject-api/pyproject-api-1.3.0.ebuild
deleted file mode 100644
index 11d68e40a182..000000000000
--- a/dev-python/pyproject-api/pyproject-api-1.3.0.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="API to interact with the python pyproject.toml based projects"
-HOMEPAGE="
- https://github.com/tox-dev/pyproject-api/
- https://pypi.org/project/pyproject-api/
-"
-SRC_URI="
- https://github.com/tox-dev/pyproject-api/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~riscv"
-
-RDEPEND="
- >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
- ' 3.8 3.9 3.10)
-"
-BDEPEND="
- >=dev-python/hatch-vcs-0.2[${PYTHON_USEDEP}]
- test? (
- >=dev-python/pytest-mock-3.10[${PYTHON_USEDEP}]
- >=dev-python/wheel-0.37.1[${PYTHON_USEDEP}]
- >=dev-python/virtualenv-20.17[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/pyproject-api/pyproject-api-1.2.1.ebuild b/dev-python/pyproject-api/pyproject-api-1.5.0.ebuild
index 11d68e40a182..19507ef7961c 100644
--- a/dev-python/pyproject-api/pyproject-api-1.2.1.ebuild
+++ b/dev-python/pyproject-api/pyproject-api-1.5.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~riscv"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv"
RDEPEND="
>=dev-python/packaging-21.3[${PYTHON_USEDEP}]
diff --git a/dev-python/python-redmine/Manifest b/dev-python/python-redmine/Manifest
index 990b7f65b7c7..23809691ce5e 100644
--- a/dev-python/python-redmine/Manifest
+++ b/dev-python/python-redmine/Manifest
@@ -1 +1,2 @@
DIST python-redmine-2.3.0.tar.gz 67915 BLAKE2B ad31d63ec5bebd33ff436f04c40fd49e35a79751c353ba1e343bbb03048c2d1662ec8ffea5819561b675e366f8cbad48a0e0a0a59dcaa563a90301ad4f1eb1cf SHA512 a317743a561cde65c17356a317d3aed082149d648aaa7487858c8533ceb286d08b6610d742321f6593fef8b61b1a4526963ddffc4ab180a83795d66773154b70
+DIST python-redmine-2.4.0.tar.gz 67730 BLAKE2B 22c74ad194af9b56affab39de38b13a8f5a46e79b8ea8d9f9f47eb12c4ad4c91156db9ef0e8dfd013602b8cc06e0636a724ae34969f385dc9f8ffc63514ccc63 SHA512 afb03ca8a3bdacace3c12b7295ba08953ab2040971b57988deb9955df24e5ac1782a9b3fbf0f5070eb22c640e88f489cda12cdec38449f9e3bcf7189dc422642
diff --git a/dev-python/python-redmine/python-redmine-2.4.0.ebuild b/dev-python/python-redmine/python-redmine-2.4.0.ebuild
new file mode 100644
index 000000000000..1e79ec76fe8c
--- /dev/null
+++ b/dev-python/python-redmine/python-redmine-2.4.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to the Redmine REST API"
+HOMEPAGE="
+ https://github.com/maxtepkeev/python-redmine/
+ https://pypi.org/project/python-redmine/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.28.2[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -o addopts=
+}
diff --git a/dev-python/reedsolomon/Manifest b/dev-python/reedsolomon/Manifest
index 243c59d156ee..472243e1b411 100644
--- a/dev-python/reedsolomon/Manifest
+++ b/dev-python/reedsolomon/Manifest
@@ -1,2 +1,3 @@
DIST reedsolomon-1.6.0.gh.tar.gz 62527 BLAKE2B 100e0152ca8d05605f961dbddcc41552941356a72b488375cb1237cf45938382abf6bfd439b572a9aed11a12068258027fae0bc867e7577280829779d21f53a3 SHA512 ddf73b0bdc78856d9aa76e7bf3fcb9715b9b7f922c2d72dc4bd13a4d5a233844757e2946ef96c545ab7979bc6b62a1f33286711f927871a6689a269d20a81b44
DIST reedsolomon-1.6.1.gh.tar.gz 63944 BLAKE2B 58845e726fdf2096af280bf14feb981d883b2368a47904d33a2386db0fb5d94091ecdc22e48bfa415e2abd9c4b3c99446b3b51bca9cce510961172697a273a0d SHA512 323f91e3e43847023f23087e1038ae240572b87c29ee26be1a05a6ee49824aa86cb706d1856b27e28841fbb14efaf897d1b8e0cb626529fe7cdeaa7fbda6ce27
+DIST reedsolomon-1.7.0.gh.tar.gz 64279 BLAKE2B 304abdf3709dff52c4c515598c511b8e3080475c0755ab68eb9468652f12d2cdb2763bdf88f5fe5e69813928646a8b8378fee9cb2b24d54ce9a6f2b5fb985ac9 SHA512 c7d2ae8444c9e3d6646587f85fe0085a7579cc58d2f4bca3fb89632df4873e2664c81f06ee2e75e928248bb558a7fd8d101a043187ce05e70a079b031981c374
diff --git a/dev-python/reedsolomon/reedsolomon-1.7.0.ebuild b/dev-python/reedsolomon/reedsolomon-1.7.0.ebuild
new file mode 100644
index 000000000000..40c30600595b
--- /dev/null
+++ b/dev-python/reedsolomon/reedsolomon-1.7.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Reed Solomon encoder/decoder"
+HOMEPAGE="
+ https://github.com/tomerfiliba/reedsolomon/
+ https://pypi.org/project/reedsolo/
+"
+SRC_URI="
+ https://github.com/tomerfiliba/reedsolomon/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( Unlicense MIT-0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+src_configure() {
+ DISTUTILS_ARGS=( --cythonize )
+}
+
+python_test() {
+ "${EPYTHON}" tests/test_creedsolo.py || die "creedsolo test failed with ${EPYTHON}"
+ "${EPYTHON}" tests/test_reedsolo.py || die "reedsolo test failed with ${EPYTHON}"
+}
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index c031084284cd..b53b76c5b1d4 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -4,3 +4,4 @@ DIST sphinx-autodoc-typehints-1.20.1.gh.tar.gz 28374 BLAKE2B 87891c5ee6b1fa76b12
DIST sphinx-autodoc-typehints-1.20.2.gh.tar.gz 28393 BLAKE2B 1ca6ab1e49d57b49d8fc1bfa73cc6e9eccdbb3c1eff6edaea5dd3253c729f7553659b97bc96ae88d5151ba8da87c0c4f225fac471e13995bd5596554ec4423a5 SHA512 0a17586e83567e51fbc9c96383d3f81a4ab6ebb0ec6e6471b00f7e0d70454e11f21f49d58e46e683c48688540de96627cff7496ccf16d130d2a9c7466c8a5193
DIST sphinx-autodoc-typehints-1.21.0.gh.tar.gz 29465 BLAKE2B 64d13fbc720d3415448fe9983c8e5e5aa668df819717528b5a3b11147c285b44530f47754ff0d42d5b3c44a9fdf92d18614de698b40de4a5c4c9fd5995466e9e SHA512 8cba898f5ec07243718e37b6ff04e45d27ec73037dbb58ab8b2db0d1ba062e4208b4b1f9c053c0fe4b591a939ce44dd323f1e83ea01655c9ededd6a24be8aac3
DIST sphinx-autodoc-typehints-1.21.1.gh.tar.gz 29643 BLAKE2B 59d7bbbb0ac94a93ca8be4fded034c89516d3271c096dbb7875966958c7a48c3d838f50bf03786b7ca8ea326b1566c991b559be7a6d37bdbb58946a89c1927f7 SHA512 29deee5960f40e55706a36af9e0a9d92c2eec9d2485c1b1fafef7efa8c86ffa3ccd910a836f25705f5e4d7f79291dcf5f4b3169799986155d20d4829ee7deda0
+DIST sphinx-autodoc-typehints-1.21.3.gh.tar.gz 31362 BLAKE2B 75e32afd0d9969af5fb9bba0febb456e8c2147b6cca83e9d4737645d48408d3c5e92a482b0df1a73d8f2d9825eb9f1bcc71de9b20800447a97a1e61c88adcfff SHA512 dfd54c3c4d41a8eb6e4080a8132bc437d9ac1ab202c61938c1761ab2d2d64069f793ceb0d89ebcbc9b8dcfc425d14779ee9422c2179610731bb8f84c361401dd
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.21.3.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.21.3.ebuild
new file mode 100644
index 000000000000..ab78fb3f4777
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.21.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+SRC_URI="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/sphinx-5.2.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/nptyping-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphobjinv-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/spyder-kernels/Manifest b/dev-python/spyder-kernels/Manifest
index 8e6d1302fdb1..d1f0cf3fdf22 100644
--- a/dev-python/spyder-kernels/Manifest
+++ b/dev-python/spyder-kernels/Manifest
@@ -1 +1,2 @@
DIST spyder-kernels-2.4.1.gh.tar.gz 92461 BLAKE2B 44858b58094365c07e8d9aa683d721b5a5fb3475849486cdafb9f4e74330e58c13a1ed4839a470238d5ceee0e990c13fb7c913ba04c0297e91f3f47bc469a5e4 SHA512 d6dbbb4359f9b0a040159e0d654058cb62448c4596d87fcfd0445e31905e61e0a3ac71575763393d25d9f5d81aa07fba62384ef2ef6a1cce32feac5a62153402
+DIST spyder-kernels-2.4.2.gh.tar.gz 92561 BLAKE2B a77ce80b2225cce1aafed737c77770396624c61197b3966403f6a7d7a03407336d0556a581441a1d28e1022d6082fe39e48364638d4f70b6240efd49fbafe169 SHA512 aa1889be8809e2fc7bccd01f04f2809df14b76d6fc18f1595db2a83038d7af9a6183c6ac26da11e1dc7556d6d4bd2a57da096063e55b4dbddc06f2d89f2bc0c8
diff --git a/dev-python/spyder-kernels/spyder-kernels-2.4.2.ebuild b/dev-python/spyder-kernels/spyder-kernels-2.4.2.ebuild
new file mode 100644
index 000000000000..94f52832b965
--- /dev/null
+++ b/dev-python/spyder-kernels/spyder-kernels-2.4.2.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Kernels used by spyder on its ipython console"
+HOMEPAGE="
+ https://github.com/spyder-ide/spyder-kernels/
+ https://pypi.org/project/spyder-kernels/
+"
+SRC_URI="
+ https://github.com/spyder-ide/spyder-kernels/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/cloudpickle[${PYTHON_USEDEP}]
+ <dev-python/ipykernel-7[${PYTHON_USEDEP}]
+ >=dev-python/ipykernel-6.16.1[${PYTHON_USEDEP}]
+ <dev-python/ipython-9[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.31.1[${PYTHON_USEDEP}]
+ <dev-python/jupyter_client-8[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-7.4.9[${PYTHON_USEDEP}]
+ <dev-python/jupyter_client-8[${PYTHON_USEDEP}]
+ dev-python/matplotlib-inline[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-22.1.0[${PYTHON_USEDEP}]
+ >=dev-python/wurlitzer-1.0.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # we no longer package distributed, and also removed dependency on dask
+ spyder_kernels/console/tests/test_console_kernel.py::test_dask_multiprocessing
+ # RuntimeError: There is no current event loop in thread 'MainThread'.
+ # https://bugs.gentoo.org/834893
+ spyder_kernels/console/tests/test_console_kernel.py::test_cwd_in_sys_path
+ spyder_kernels/console/tests/test_console_kernel.py::test_multiprocessing
+ spyder_kernels/console/tests/test_console_kernel.py::test_multiprocessing_2
+ spyder_kernels/console/tests/test_console_kernel.py::test_runfile
+ spyder_kernels/console/tests/test_console_kernel.py::test_np_threshold
+ spyder_kernels/console/tests/test_console_kernel.py::test_turtle_launch
+ spyder_kernels/console/tests/test_console_kernel.py::test_matplotlib_inline
+)
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 6b1a31881060..a6df2555bb90 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -2,3 +2,4 @@ DIST tox-3.27.1.gh.tar.gz 309006 BLAKE2B fa8aaa9cd5b03e54c166bb6b748290420b91498
DIST tox-3.28.0.gh.tar.gz 309472 BLAKE2B 9896411426f6aebb3efa468c01696ecc5f17ec3e67825672d0efc74c1b1468bc8b8d9c14b6177c181750ba4b9a5e77d616068dd83e21f5641acfc8e2a271cc1f SHA512 64816754e6800661bb564c5c7d21c4139522d540a04fafe3c4591d596072d48d1cbe0ee2abee9c8faf3d5007774f5371431b5a7a8f49912bc879c7b168aab2ca
DIST tox-4.3.0.gh.tar.gz 296472 BLAKE2B 695efd31fef5f9aeb1bce71d95e913c38b9cb0dce0bcd955d85b492142088b89b59ab2a09754189959488042c1dfc6e476b17ebcb72a1b6ce2e9add8b764d6d0 SHA512 4ec09f4b43d7be8784af7821d1fbb2c7c705b84386b2496dffcbaf9f2943d1e5f00743f214e26839ce64635b9091b43b5747c51f4aaebc0ac27b08f8d5b31921
DIST tox-4.3.3.gh.tar.gz 298207 BLAKE2B a8de90b5fad31452f3d70e3776a0478e7d7ffbe2a30852d7a1598ee07eac2ca43c291b25bd89c75a16b5266885f67be2d2ac535478905d0a3a276f227ffd62da SHA512 1f357cf52b28cb32d2619b2a3763ca582f39fac53b734cad465d44e28f2321f86387183478a30305bb2ea94140d2a6dcc39092fd0b87bb42ce25d128be58d122
+DIST tox-4.3.4.gh.tar.gz 298487 BLAKE2B d1b36e537cdc8309c550b664e8543ae06329d713fe2267ce2c7082c57c597155b4d1764baedf58c2ce762570a4988bb293ec5e74829e722163dd0d00ed13f558 SHA512 288d7867131009229acfcd3fb78fdc60e0f4de933a64c1a91600cbcee496eb5787e24b43705815705b7d1fe6a4d19f4987571d9a237292d6e7216bd63c235444
diff --git a/dev-python/tox/tox-4.3.4.ebuild b/dev-python/tox/tox-4.3.4.ebuild
new file mode 100644
index 000000000000..49cec2e60351
--- /dev/null
+++ b/dev-python/tox/tox-4.3.4.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+SRC_URI="
+ https://github.com/tox-dev/tox/archive/${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv"
+
+RDEPEND="
+ >=dev-python/cachetools-5.2.1[${PYTHON_USEDEP}]
+ >=dev-python/chardet-5.1[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.8.2[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.6[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-api-1.4[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ >=dev-python/virtualenv-20.17.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/flaky-3.7[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9.4[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-3.1[${PYTHON_USEDEP}]
+ >=dev-python/re-assert-1.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/time-machine-2.8.2[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+ # the minimal bounds in tox are entirely meaningless and new packaging
+ # breaks setuptools
+ sed -i -e '/packaging/s:>=[0-9]\+::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+
+ epytest
+}